import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { AbnormaDataModel } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-28 14:49
 */
interface AbnormaDataModelCU extends ConditionUtil<AbnormaDataModelCU> {
    ID: FieldUtil<AbnormaDataModelCU>;
    TAPDID: FieldUtil<AbnormaDataModelCU>;
    PARKID: FieldUtil<AbnormaDataModelCU>;
    DATA: FieldUtil<AbnormaDataModelCU>;
    PLATENO: FieldUtil<AbnormaDataModelCU>;
    CREATETIME: FieldUtil<AbnormaDataModelCU>;
}
declare class AbnormaDataModelMU extends TableUtilImpl<AbnormaDataModelCU, AbnormaDataModel> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): AbnormaDataModelCU;
    static get ID(): FieldUtil<AbnormaDataModelCU>;
    static get TAPDID(): FieldUtil<AbnormaDataModelCU>;
    static get PARKID(): FieldUtil<AbnormaDataModelCU>;
    static get DATA(): FieldUtil<AbnormaDataModelCU>;
    static get PLATENO(): FieldUtil<AbnormaDataModelCU>;
    static get CREATETIME(): FieldUtil<AbnormaDataModelCU>;
    get ID(): FieldUtil<AbnormaDataModelCU>;
    get TAPDID(): FieldUtil<AbnormaDataModelCU>;
    get PARKID(): FieldUtil<AbnormaDataModelCU>;
    get DATA(): FieldUtil<AbnormaDataModelCU>;
    get PLATENO(): FieldUtil<AbnormaDataModelCU>;
    get CREATETIME(): FieldUtil<AbnormaDataModelCU>;
}
export { AbnormaDataModelMU, AbnormaDataModelCU };
